# Gst::PluginError Class Reference

The plugin loading errors. More...

Inherits Glib::Error.

Collaboration diagram for Gst::PluginError:
[legend]

List of all members.

## Public Types
enum | Code { MODULE, DEPENDENCIES, NAME_MISMATCH }
## Public Member Functions
| PluginError (Code error_code, const Glib::ustring& error_message)
| PluginError (GError* gobject)
Code | code () const

## Detailed Description

The plugin loading errors.

- MODULE - The plugin could not be loaded
- DEPENDENCIES - The plugin has unresolved dependencies
- NAME_MISMATCH - The plugin has already be loaded from a different file

## Member Enumeration Documentation

enum Gst::PluginError::Code

Enumerator:

  MODULE |
  DEPENDENCIES |
  NAME_MISMATCH |

## Constructor & Destructor Documentation

Gst::PluginError::PluginError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gst::PluginError::PluginError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gst::PluginError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gstreamermm/plugin.h